%define debug_package %{nil}

Name: ovs-agent
Version: 3.1.1
Release: 89.11
Summary: Agent for Oracle VM
License: GPL
Group: System Environment/Daemons
URL: http://www.oracle.com/virtualization
Source: %{name}-3.0.tar.bz2
Patch1: dummy.patch
Patch2: rev7774.patch
Patch3: rev7780.patch
Patch4: rev7792.patch
Patch5: rev7794.patch
Patch6: enable-ntpdate.patch_14277
Patch7: ovfxen-allow-empty-description.patch_9135
Patch8: log-stdout-when-run_cmd-fails.patch_9771
Patch9: log-stack-trace.patch_10493
Patch10: monitor-grace-time-to-3600.patch_14755
Patch11: remove-error-log-in-progress-report-thread.patch_15218
Patch12: allow-server-removal-when-hb-configured.patch_16373
Patch13: rev7832.patch
Patch14: agent-uek2-xen-4.1.2.patch
Patch15: rev7893.patch
Patch16: maxvcpus.patch
Patch17: rev7920.patch
Patch18: typo_fix.patch
Patch19: rev7928.patch
Patch20: rev7940.patch
Patch21: add_SizeRefresh.patch
Patch22: rev7952.patch
Patch23: ovfxen-add-pv-vm-cfg-defaults.patch
Patch24: rev7969.patch
Patch25: persist-mtu.patch
Patch26: rev7973.patch
Patch27: rev7982.patch
Patch28: rev8001.patch
Patch29: rev8042.patch
Patch30: rev8055.patch
Patch31: rev8068.patch
Patch32: disable-lro.patch
Patch33: no-mac-vlanbond.patch
Patch34: rev8090.patch
Patch35: return-err.patch
Patch36: add-port-fix.patch
Patch37: filelock-close-file.patch
Patch38: rev8148.patch
Patch39: rev8155.patch
Patch40: restart-ovm-consoled-upon-take-release-ownership.patch
Patch41: vlan-default-route.patch
Patch42: rev8189.patch
Patch43: vlan-route.patch
Patch44: ovfxen-vstype.patch
Patch45: persist-mtu.patch_20423
Patch46: or-err-true.patch
Patch47: fix-vnc-directive-for-hvm.patch
Patch48: connection-retry.patch
Patch49: rev8250.patch
Patch50: rev8256.patch
Patch51: rev8272.patch
Patch52: ovs-agent-log-hostname-ip.patch
Patch53: setting-mtu-port-down.patch
Patch54: discover-hardware-dell-smbios.patch
Patch55: tap-mtu.patch
Patch56: rev8323.patch
Patch57: rev8336.patch
Patch58: rev8349.patch
Patch59: check-xenstore-for-vm-running.patch
Patch60: local-vm-running-lock.patch
Patch61: ten-bonds.patch
Patch62: reboot-vm-wait.patch
Patch63: bond-mtu-equal-pmtu.patch
Patch64: rev8825.patch
Patch65: passwd-sha512-with-salt.patch
Patch66: ovs-agent-spec-retain-default-passwd-upon-upgrade.patch
Patch67: dom0-lro.patch
Patch68: rev9512.patch
# End Oracle Patches

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libaio-devel >= 0.3
Requires: python >= 2.4
Requires: python-simplejson >= 2.0.7
Requires: multiprocessing >= 2.6.1.1
Requires: open-ovf >= 1.1

%description
Agent daemon for Oracle VM.

%prep
%setup -q -n ovs-agent-3.0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0
%patch24 -p0
%patch25 -p0
%patch26 -p0
%patch27 -p0
%patch28 -p0
%patch29 -p0
%patch30 -p0
%patch31 -p0
%patch32 -p0
%patch33 -p0
%patch34 -p0
%patch35 -p0
%patch36 -p0
%patch37 -p0
%patch38 -p0
%patch39 -p0
%patch40 -p0
%patch41 -p0
%patch42 -p0
%patch43 -p0
%patch44 -p0
%patch45 -p0
%patch46 -p0
%patch47 -p0
%patch48 -p0
%patch49 -p0
%patch50 -p0
%patch51 -p0
%patch52 -p0
%patch53 -p0
%patch54 -p0
%patch55 -p0
%patch56 -p0
%patch57 -p0
%patch58 -p0
%patch59 -p0
%patch60 -p0
%patch61 -p0
%patch62 -p0
%patch63 -p0
%patch64 -p0
%patch65 -p0
%patch66 -p0
%patch67 -p0
%patch68 -p0

%build
make build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ $1 = 2 ]; then
    # Retain default password for OVM 3.1.1- upon upgrade.
    default_passwd='oracle:{SHA}QxNktkUPxHzNv2oiBd/bG663lBI='
    current_passwd=`cat /etc/ovs-agent/passwdfile`
    if [ "$current_passwd" = "$default_passwd" ]; then
        mv /etc/ovs-agent/passwdfile /etc/ovs-agent/passwdfile.default
    fi
fi

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ovs-agent
elif [ $1 = 2 ]; then
    # Retain default password for OVM 3.1.1- upon upgrade.
    if [ -f /etc/ovs-agent/passwdfile.default ]; then
        mv /etc/ovs-agent/passwdfile.default /etc/ovs-agent/passwdfile
    fi
fi
/usr/sbin/ovs-agent-keygen

%preun
if [ $1 = 0 ]; then
    /sbin/service ovs-agent stop
    /sbin/chkconfig --del ovs-agent
fi

%files
%defattr(-,root,root)
%doc LICENSE
%config(noreplace) /etc/ovs-agent
/etc/init.d/ovs-agent
/etc/xen/scripts
%{_libdir}/python*/site-packages
%{_sbindir}
/var/run/ovs-agent

%changelog
* Tue Oct 23 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.11 
- ovs-agent-dlm: differentiate exit status of local/dlm lock errors.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 14799613 

* Fri Aug 31 2012  <> - 3.1.1-89.10 
- Preserve LRO setting (off) on bond interfaces for dom0 traffic
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com <mailto:adnan.misherfi@oracle.com>>
  Backported-by: Chuang Cao <chuang.cao@oracle.com> [bug 14559021]  

* Mon Jul 16 2012 Shu Li <shu.li@oracle.com> - 3.1.1-89.9
- modify spec file for pre install and post install scripts
  to retain default password upon upgrade

* Thu Jul 12 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.8 
- retain default password upon upgrade
  If  customers using the default password (oracle), the old password file will
  be removed upon upgrading from 3.1.1- to 3.2.1.
  This patch will fix this: save before upgrade and then restore after upgrade.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Backported-by: Joe Jin <joe.jin@oracle.com> [bug 14158623&14261747] 

* Thu Jul 12 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.7 
- using crypt() with salt and sha512 for agent password
  The old SHA password will be replaced upon successful authentication.
  Also the default user is removed.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: John Haxby <john.haxby@oracle.com>
  Backported-by: Joe Jin <joe.jin@oracle.com> [bug 14018738&13423154&14261747] 

* Wed Jun 27 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.6 
- The lock to prevent concurrent db access is not working. It is caused by wrong
  parameters passed to LockFile.acquire(). The patch also makes the parameters
  of LockFile.acquire() more consistant with that of FileLock.acquire().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Backported-by: Joe Jin <joe.jin@oracle.com> [bug 14228188&14215643] 

* Wed Jun 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-89.5 
- Set the bond MTU to equal to the primary interface MTU, if the
  primary interface MTU is not 1500. [bug 14222254] 

* Sun Jun 17 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.4 
- Xend will destroy a VM is the VM restart too fast (within 60 seconds) to prevent
  loops.
  With this patch, reboot_vm() will first check the elapse time since start. If
  it's less then 60 seconds, it will wait for a while until the elapse time reach
  the 60 seconds limit. Then it will call xm reboot.
  The reboot_vm() time will a bit longer if you call it immediately after start_vm():
  # time ovs-agent-rpc reboot_vm "'6e6654265fb24a70996f4a531318d85f'"
  "'07468e5732fc4a02941ecb57d1068dc9'"
  real    1m20.618s
  user    0m0.076s
  sys    0m0.032s
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Backported-by: Joe Jin <joe.jin@oracle.com> [bug 13984761&14189650&14139399&14056739] 

* Fri Jun 15 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-89.3 
- Increase max number of bonds from 6 TO 10 for ovm 3.1.1 [bug 13998493] 

* Wed Jun 13 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.2 
- add local vm running lock
  Before this patch, if users start the same VM upon it rebooting (shutdown, butabout to start), two instances could be started.
  With this patch, we add a local VM running lock. Then either the rebooting
  instance get the lock, or the newly started one.
  We add a new local lock because the current dlm lock doesn't support this; dlmlock only prevent the VM from running on multiple nodes.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Backported-by: Joe Jin <joe.jin@oracle.com> [bug 14193537] 

* Mon May 07 2012 Joe Jin <joe.jin@oracle.com> - 3.1.1-89.1 
- check xenstore for vm running.
  This is a backport from 3.1.2
  This works even when xend is stopped.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14043730] 

* Wed Apr 18 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-89 
- Revert the patch for bug 13955543.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Apr 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-88 
- Send the remaster notification when remaster happens on a non-clustered server.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Apr 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-87 
- Do not send the remaster notification on a manual remaster.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> [bug 13955543] 

* Fri Apr 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-86 
- The bug was caused by missing the tap device in HVM guest. It is correct now,
  all interfaces of a bridge will be changed. [bug 13951015] 

* Thu Apr 05 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-85 
- fix no SMBIOS info on discover_hardware for Dell machines.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Mar 30 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-84 
- fixed [bug 13901695] 

* Thu Mar 29 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-83 
- put hostname and ip into log to make debugging easier
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Mar 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-82 
- Parse /etc/oracle-release to get OS name and version.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13807427] 

* Wed Mar 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-81 
- Revert commit 8250. 

* Wed Mar 28 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-80 
- Update host OS name to Oracle Linux.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13807427] 

* Wed Mar 28 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-79 
- Reduce the connected retry time on connection reset from 60
  second to 30 second, and Replace  exception  with error logs [bug 13044663] 

* Mon Mar 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-78 
- use different directives for hvm/pvm vnc [bug 13887745] 

* Mon Mar 26 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-77 
- fixed [bug 13885504] 

* Sat Mar 24 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-76 
- Persist mtu when add an interface to a bridge [bug 13865181] 

* Fri Mar 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-75 
- ovfxen: support new VirtualSystemType
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com> 

* Fri Mar 23 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-74 
- Fixed logic error [bug 13880013] 

* Tue Mar 20 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-73 
- Close the opened file when lock fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Mar 19 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-72 
- Preserve the default route when a adding a bridge to a bond where the
  default route is on one of its VLANs Ex (bond.5) [bug 13848014] 

* Mon Mar 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-71 
- restart ovm-consoled to refresh SSL tty/vnc console wrappers upon take/release ownership.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Mar 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-70 
- Protect remaster() with locking.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Fri Mar 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-69 
- Protect qlayer-monitor reload with locking.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Mar 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-68 
- filelock: close file on lock error.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> [bug 13808494] 

* Tue Mar 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-67 
- Fixed a problem that may cause adding a port to a bond to fail 

* Tue Mar 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-66 
- Fixed a return error when enabling lro 

* Mon Mar 12 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-65 
- Remove cluster.conf before stopping o2cb in cluster configuration rollback.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Oracle-bug: 13033100 

* Mon Mar 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-64 
- Do not write the MAC address to the config file if we are adding a vlan over a bond. [bug 13611644] 

* Mon Mar 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-63 
- disable interface(physical,bond,and vlans) LRO when adding it to a bridge [bug 13835180] 

* Thu Mar 08 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-62 
- Update messages sent to the core API when cluster operations fail.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Mar 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-61 
- Update 3 APIs to allow disposal of a cluster in error.
  destroy_cluster()
  leave_cluster()
  deconfigure_server_for_cluster()
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com> 

* Tue Mar 06 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-60 
- Flush the cache after updating .ovsrepo so the update will be available on a
  different server connected to the same filesystem. It is related to the API
  ocfs2_get_meta_data() which reads the filesystem directly.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 13804273] 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-59 
- Add libaio-devel for build requires in the spec file.

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-58 
- Update build requires in the spec file.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-57 
- Remove an unused variable.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-56 
- Add libaio to linux_xen/setup.py to compile the ocfs2 extension.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Feb 29 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-55 
- Make MTU persistent,and some clean up [bug 13725393] 

* Wed Feb 29 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-54 
- Fix the monitor base if it is broken on a clustered non-master server.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Feb 27 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-53 
- ovfxen: adding default 'bootloader' and 'builder' to pv guest
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13618553] 

* Fri Feb 24 2012  <> - 3.1.1-52 
- discover_physical_luns should be in the linux host module
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Fri Feb 24 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-51 
- Added deviceSizeRefresh call as first step of name change of deviceResize 

* Fri Feb 24 2012  <> - 3.1.1-50 
- poolfs API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 23 2012  <> - 3.1.1-49 
- cluster API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Feb 23 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-48 
- Fixed typo 

* Thu Feb 23 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-47 
- Fix monitor base if broken before statistics processing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13615293] 

* Thu Feb 23 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-46 
- use maxvcpus instead vcpu_avail
  Dynamic cpu feature needs some change in Manager side. Here is the current status:
  1. vcpu_avail is not used any more: we need to use maxvcpus and vcpus. (someone
  hacked to support this change between 3.4 and 4.0, but kept vcpu_avail option
  there. I should notify find it early. sorry.)
  2. dynamic vcpu change only works for PV guest right now.
  3. dynamic vcpu change only support shrink vcpu numbers right now.
  For 2 and 3, maybe we should document it in release note. Latest xen-unstable
  using xl is still the case.
  Attached is the agent side change. Please make the Manager side change:
  1. don't use vcpu_avail at all.
  2. use maxvcpus for cpu limit
  3. use vcpus for dynamic cpu count
  The good part is: after changing to vcpus and maxvcpus, when we switch to xl, no
  change is needed in Manager side.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 13644714] 

* Wed Feb 22 2012  <> - 3.1.1-45 
- network API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Mon Feb 20 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-44 
- Port discover hardware/network and C extentions to UEK2, xen 4.1.2 

* Fri Feb 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-43 
- Flush the cache before reading ocfs2 directly.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Feb 16 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-42 
- add missing patch during refactor:
  r6971 | juwei | 2011-09-15 16:50:36 -0400 (Thu, 15 Sep 2011) | 9 lines
  Allow server removal when HB_CONFIGURED and server addition when CLUSTERED while in both cases the agent just does nothing.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12715713] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-41 
- add missing patch during refactor:
  r7043 | zhigwang | 2011-10-05 17:23:41 -0400 (Wed, 05 Oct 2011) | 4 lines
  Changed paths:
  M /ovm/trunk/utils/common.py
  M /ovm/trunk/vm.py
  remove error log in progress report thread 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-40 
- add missing patch during refactor:
  r6953 | zhigwang | 2011-09-13 14:59:32 -0400 (Tue, 13 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/OVSConstants.py
  change monitor grace time to 3600
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-39 
- add missing patch during refactor:
  r6983 | amisherf | 2011-09-16 17:02:25 -0400 (Fri, 16 Sep 2011) | 4 lines
  Changed paths:
  M /ovm/trunk/OVSNotificationServer.py
  Changed logging.error to logging.exception on send and connect to log stack trace of the binding. [bug 12983608] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-38 
- add missing patch during refactor:
  r7004 | juwei | 2011-09-28 17:03:51 -0400 (Wed, 28 Sep 2011) | 7 lines
  Changed paths:
  M /ovm/trunk/OVSCommons.py
  Log stdout data as well when run_cmd() fails.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-37 
- add missing patch during refactor:
  ------------------------------------------------------------------------
  r7008 | zhigwang | 2011-09-29 16:43:27 -0400 (Thu, 29 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/OvfXen.py
  ovfxen: allow empty description
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 13005139] 

* Thu Feb 16 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-36 
- add back this commit, we missed it during refactor
  r7006 | zhigwang | 2011-09-28 17:38:33 -0400 (Wed, 28 Sep 2011) | 8 lines
  Changed paths:
  M /ovm/trunk/host.py
  enable ntpdate on ntpd start
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> [bug 13578005&12999197] 

* Thu Feb 16 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.1.1-35 
- Remove patch to fix build failure 

* Thu Feb 16 2012 Srinivas Maturi <srinivas.maturi@oracle.com> - 3.1.1-34 
- Fix build failure 

* Wed Feb 15 2012  <> - 3.1.1-33 
- remote API module should have a base interface
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Feb 15 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-32 
- Update destroy_cluster() / leave_cluster() to allow force removal.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Xiaodong Yang <xiao.dong.yang@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-31
- Rebase the tarball 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-30 
- add lint target
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Wed Feb 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-29  

* Tue Feb 14 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-28 
- Start the NFS service before export if necessary; Stop the NFS service after unexport if there is no other export.
  Handle the trailing "/" in the given path which causes unexport failures.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Feb 14 2012  <> - 3.1.1-27 
- support for building different targets
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Feb 13 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-26 
- fix dynamic vcpu setting
  Currently, 'vcpu' means the max vcpu count; 'vcpu_avail' mean the current vcpu
  count. We should change dynamic vcpu count when user set 'vcpu_avail'. [bug 13644714]
- remove unused function run_cmd_bg()
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Tue Feb 07 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-25 
- Restore the default route on managenet interface after changing the bond mode. [bug 13693072] 

* Tue Feb 07 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-24 
- Update export_fs(), unexport_fs() and disocver_exports().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Thu Feb 02 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-23 
- Change export_nfs() and unexport_nfs() to export_fs() and unexport_fs().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Thu Feb 02 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-22 
- fix code bug: remove -> os.remove and logging.Exception -> logging.exception 

* Tue Jan 31 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-21 
- Update cluster discovery to accommodate the code refactoring.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Mon Jan 30 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-20 
- Add export_nfs() and unexport_nfs();
  Update discover_mounted_file_systems().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-19 
- fix error on import 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-18 
- This patch moves all xm calls to one place: xenxm.py.
  It's easier for ldoms integration and xl replacement.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jan 26 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-17
- Rebase the tarball

* Wed Jan 25 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-16 
- Remove trailing spaces.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Jan 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-15 
- This patch adds a new testcase for some utils functions. It also removes some
  executable property from files. And also fixed a bug on progress reporter.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Tue Jan 24 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-14 
- fix typo: Oracel -> Oracle [bug 13533327] 

* Fri Jan 20 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-13 
- Minor changes to file read. 

* Thu Jan 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-12 
- remove unused xend configuration APIs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Tue Jan 17 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-11 
- stop_vm: support stopping orphan VMs
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> 

* Tue Jan 17 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-10 
- Fix parsing of /proc/mounts.
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> 

* Thu Jan 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-9 
- The rest of change mtu 

* Thu Jan 12 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 3.1.1-8 
- re-wrote ovs_change_mtu to except a range of values (1500 to 64000),
  and to changes  mtu on a physical,vlan,bond,and bridge interface 

* Thu Jan 12 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-7 
- OK this now works. 

* Thu Jan 12 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-6 
- Backout server reserve changes. 

* Wed Jan 11 2012 Cathy Avery <cathy.avery@oracle.com> - 3.1.1-5 
- Added boot from san disk exclusions to new server reserve xml tag 

* Wed Jan 11 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-4 
- Allow Manager to edit repository db when manager UUID is NONE. [bug 13563964] 

* Wed Jan 11 2012 Junjie Wei <junjie.wei@oracle.com> - 3.1.1-3 
- Fix indentation in discover_cluster().
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com>
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Mon Jan 09 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-2 
- add missing unconfigure_vm() implement. 

* Fri Jan 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.1.1-1 
- Initial build.
